Bug 189685 - Review Request: Anjuta-2.0.x
Review Request: Anjuta-2.0.x
Status: CLOSED DUPLICATE of bug 210464
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis (ignored mailbox)
Fedora Package Reviews List
:
Depends On: 182320
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-22 19:43 EDT by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-13 15:07:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2006-04-22 19:43:57 EDT
Spec URL: http://www.smmp.salford.ac.uk/packages/anjuta2.spec

Description: 

Anjuta2 is the new version of the popular IDE, Anjuta
Comment 1 Paul F. Johnson 2006-04-22 19:45:23 EDT
I am unable to build the package on my x86_64 test rig due to BZ #189324. I will
see if I can get it working on an x86
Comment 2 Paul F. Johnson 2006-04-27 17:10:31 EDT
Spec URL: http://www.smmp.salford.ac.uk/packages/anjuta2.spec
SRPM : http://www.smmp/salford.ac.uk/packages/anjuta-2.0.1-2.src.rpm

It can only be built without the %{?_smp_flags}. The package builds but breaks
when installed and run. I have a feeling that is down to me rather than anything
else.
Comment 3 Jason Tibbitts 2006-04-28 18:16:21 EDT
A few odd things:

The specfile you link immediately above isn't the one that's in the srpm.

The specfile should be named according to the base RPM: anjuta.spec.  Either
that or the package name should be changed to anjuta2.

I notice Anjuta is already in Extras (and you maintain it).  Is it your
intention to just upgrade the existing version or did you want this package to
coexist?  If the former, you technically don't need to go through a review,
although you probably just want to push the new version for FC6 and leave the
old ones alone.

I tried to do a build but it fails:

Cannot find build req  gnome-build-devel. Exiting.

I can't seem to find this anywhere.
Comment 4 Paul F. Johnson 2006-04-29 13:05:59 EDT
You're right about the spec file, however, I am maintaining the core branch as
well which has the filename anjuta.spec already.

The idea is to have anjuta2 in rawhide (co-existing with anjuta) and when it's
good and stable, drop anjuta and take anjuta2 to FC4 and 5.

gnome-build is in BZ : #182320
Comment 5 Jason Tibbitts 2006-04-29 14:30:01 EDT
The problem is that while the specfile is called anjuta2.spec, the Name: of the
generated package is still anjuta.  It sounds like you want to call it anjuta2
and eventually add Obsoletes: anjuta.

And of course the BR: gnome-build-devel which I can't satisfy is a major problem.
Comment 6 Jason Tibbitts 2006-04-29 14:31:42 EDT
Please ignore the last sentence I wrote, lest I seem an idiot.  But you should
have that bug block this one.
Comment 7 Paul F. Johnson 2006-07-06 12:36:20 EDT
Now requires autogen to build (submitted as BZ 197814)
Comment 8 Paul F. Johnson 2006-07-06 17:01:08 EDT
Why have you removed 197814 as a depends on when it clearly needs it? 
Comment 9 Paul F. Johnson 2006-07-06 20:29:11 EDT
Spec URL: http://www.knox.net.nz/~nodoid/anjuta-2.spec
SRPM : http://www.knox.net.nz/~nodoid/anjuta-2.0.2-2.src.rpm

(Okay, I know the src rpm was not built with the anjuta-2 spec file, it is the
same file as in the src.rpm, only renamed)

Comment 10 Tom Lynema 2006-07-10 18:40:58 EDT
Where can I find the anjuta-gdl-devel package?
Comment 11 Paul F. Johnson 2006-07-10 18:44:58 EDT
#10 : Rawhide (Fedora Extras development branch). I've not put it into FE5 yet
as until Anjuta-2.0.x is released into FE (which may be a while off yet as
autogen is giving much grief!), there isn't any point.

Also, if you are raising a bug (or request), can you file it under a different
BZ? anjuta-gdl is a different package.
Comment 12 Paul F. Johnson 2006-10-13 15:07:35 EDT

*** This bug has been marked as a duplicate of 210464 ***

Note You need to log in before you can comment on or make changes to this bug.